Rialto

API Reference

Full endpoint catalog across Identity, Notifications, and Primary Issuance services.

Endpoint catalog across Rialto services relevant to integrators.

Base URLs

ServicePrefix
Identity/identity
Notifications/notifications
Primary Issuance/primary-issuance

Authentication

Route TypeAuth Method
Token exchange (/identity/auth/exchange)X-API-Key header
All other integrator routesAuthorization: Bearer <rialto_access_token>

Response Format

Success:

{ "success": true, "data": { ... } }

Error:

{ "success": false, "error": { "message": "...", "code": "..." } }

Token exchange errors use OAuth2 format:

{ "error": "error_code", "error_description": "..." }

Common Patterns

PatternDetail
Pagination (Identity)?limit=<n>&offset=<n>
Pagination (Issuance)?page=<n>&limit=<n> (page-based, max 100)
IDsUUID v4 format
TimestampsISO 8601 with timezone (UTC)
Request bodiescamelCase field names
Response bodiessnake_case field names

Identity Service

Token Exchange

MethodPathAuthDescription
POST/identity/auth/exchangeAPI KeyExchange IdP token for Rialto tokens

Users

MethodPathAuthDescription
GET/identity/users/:userIdBearerGet user by ID
PATCH/identity/users/:userIdBearerUpdate user
DELETE/identity/users/:userIdBearerDelete user (cascades to PII)

KYC Sessions

MethodPathAuthDescription
POST/identity/kyc-sessionsBearerCreate KYC session
GET/identity/kyc-sessions/userBearerList sessions for authenticated user
GET/identity/kyc-sessions/:sessionIdBearerGet session by ID

Accreditation Sessions

MethodPathAuthDescription
POST/identity/accreditation-sessionsBearerCreate accreditation session
GET/identity/accreditation-sessions/userBearerList sessions for authenticated user
GET/identity/accreditation-sessions/:sessionIdBearerGet session by ID
POST/identity/accreditation-sessions/:sessionId/documentsBearerUpload accreditation document (base64)

User PII

MethodPathAuthDescription
POST/identity/user-piiBearerCreate encrypted PII record
GET/identity/user-pii/:userIdBearerGet decrypted PII (SSN masked)
PATCH/identity/user-pii/:userIdBearerUpdate PII fields
DELETE/identity/user-pii/:userIdBearerDelete PII record

Public

MethodPathAuthDescription
GET/identity/NoneService info
GET/identity/healthNoneHealth check

Notifications Service

Webhook Endpoints

MethodPathAuthDescription
POST/notifications/webhooksBearerCreate webhook endpoint
GET/notifications/webhooksBearerList endpoints
GET/notifications/webhooks/:idBearerGet endpoint details
PATCH/notifications/webhooks/:idBearerUpdate endpoint
DELETE/notifications/webhooks/:idBearerDelete endpoint
POST/notifications/webhooks/:id/rotate-secretBearerRotate signing secret
POST/notifications/webhooks/:id/testBearerSend test event
PUT/notifications/webhooks/:id/subscriptionsBearerSet event subscriptions
GET/notifications/webhooks/:id/subscriptionsBearerGet subscriptions

Webhook Deliveries

MethodPathAuthDescription
GET/notifications/deliveriesBearerList deliveries (filterable)
GET/notifications/deliveries/:idBearerGet delivery with attempts
POST/notifications/deliveries/:id/retryBearerRetry failed delivery

Event Types

MethodPathAuthDescription
GET/notifications/event-typesBearerList available event types

Primary Issuance Service

Offerings

MethodPathAuthDescription
GET/issuance/offeringsBearer or API KeyList offerings (filterable by status, exemption type)
GET/issuance/offerings/:idBearer or API KeyGet offering details
GET/issuance/offerings/:id/documentsBearerList offering documents
GET/issuance/offerings/:id/securitiesBearer or API KeyList securities for offering

Securities

MethodPathAuthDescription
GET/issuance/securitiesBearer or API KeyList securities (filterable)
GET/issuance/securities/:idBearer or API KeyGet security details

Subscriptions

MethodPathAuthDescription
POST/issuance/offerings/:offeringId/subscriptionsBearerCreate subscription
GET/issuance/subscriptionsBearerList user's subscriptions
GET/issuance/subscriptions/:idBearerGet subscription
POST/issuance/subscriptions/:id/sign-agreementBearerSign subscription agreement
POST/issuance/subscriptions/:id/create-checkout-sessionBearerCreate Stripe payment session
DELETE/issuance/subscriptions/:idBearerCancel subscription

Shares

MethodPathAuthDescription
GET/issuance/sharesBearerList user's shares (filterable)
GET/issuance/shares/:idBearerGet share details

On this page